Web lists-archives.com

Re: Flex 2.6.3-1: error: ‘INITIAL’ undeclared here (not in a function)




On 16/04/2017 08:20, ram rao via cygwin wrote:
I get this error:


vlex.l:37:25: error: ‘INITIAL’ undeclared here (not in a function)

static int CurrentState=INITIAL;


Googling this issue suggests one try "flex-old"

However that is not available anywhere

on Cygwin this means you need to install the previous version of flex
that is flex-2.6.1-1.


Attached pls find:

  cygcheck.out

  vlex.l

Pls help

Thanks


You are not the only one with issue on 2.6.3
due to upstream issue.
https://cygwin.com/ml/cygwin/2017-04/msg00099.html

I am trying to build latest git upstream source and
to release it as test to solve the issue on 2.6.3.

Regards
Marco


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple